package test.sort;

public class IObjectCompare implements java.util.Comparator
{

	public int compare(Object o1,Object o2) throws ClassCastException
	{
		if(!(o1 instanceof IObject))
		{
			throw new ClassCastException();
		}
		if(!(o2 instanceof IObject))
		{
			throw new ClassCastException();
		}
		if (	((IObject)o1).getData().compareTo ( ((IObject)o2).getData() ) < 0)
		{
			return -1;	
		}
		else if (	((IObject)o1).getData().compareTo ( ((IObject)o2).getData() ) > 0)
		{
			return 1;	
		}
		else
		{
			return 0;	
		}
	}
}
